using System;

namespace ConsoleApp1
{
    class Program
    {
        static void pisi(int[]a ,int l, int r)
        {
            for(int i=l;i<=r;i++)
                Console.Write(a[i] + " ");
            Console.WriteLine();
        }
        static bool moze(int [] a,int l,int r)
        {
            bool bilo = false;
            for(int i=l;i<=r-1;i++)
            {
                if (a[i] > a[i + 1] && bilo)
                    return false;
                else if (a[i] > a[i+1] )
                    bilo = true;
            }
            return true;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a= new int[n];
            string[] red = Console.ReadLine().Split(' ');
            for(int i=0;i<n;i++)
            {
                a[i] = int.Parse(red[i]);
            }
            int k = int.Parse(Console.ReadLine());
            bool[] izlaz = new bool[k];
            for(int i=0;i<k;i++)
            {
                red = Console.ReadLine().Split(' ');
                int l = int.Parse(red[0]) - 1;
                int r = int.Parse(red[1]) - 1;
                izlaz[i] = moze(a, l, r);
            }
            foreach (bool x in izlaz)
                if (x)
                    Console.WriteLine("DA");
                else
                    Console.WriteLine("NE");
            Console.ReadLine();
        }
    }
}